The Product Catalog Articles and Publications edge allows you to list and create article and publication items (ebooks, audiobooks, magazines, newspapers, and other written content) in a product catalog.
To use this API, your app needs the following permission:
catalog_managementTo list article and publication items in a catalog, send a GET request:
GET /v25.0/{product-catalog-id}/articles_and_publications HTTP/1.1
Host: graph.facebook.com| Parameter | Type | Description |
|---|---|---|
| string | Optional. JSON-encoded WCA filter rule for filtering articles and publications. For example: |
| boolean | Optional. When |
| integer | Optional. Maximum number of items to return per page. |
| string | Optional. Cursor for backward pagination. |
| string | Optional. Cursor for forward pagination. |
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}dataA list of Articles and Publications nodes. See the Articles and Publications reference for the full list of fields.
pagingFor more details about pagination, see the Graph API guide.
summaryAggregated information about the edge, such as counts. Specify summary=true as a query parameter to include this in the response.
| Field | Type | Description |
|---|---|---|
| integer | Total number of items in the catalog. |
To create an article or publication item in a catalog, send a POST request:
POST /v25.0/{product-catalog-id}/articles_and_publications HTTP/1.1
Host: graph.facebook.com
Content-Type: application/json
{
"retailer_id": "pub-001",
"name": "The Art of Modern Architecture",
"description": "An insightful guide exploring contemporary architectural design",
"image_url": "https://example.com/book-cover.jpg",
"url": "https://example.com/art-of-modern-architecture",
"publication_category": "Book",
"author": ["Jane Smith"],
"genre": ["Architecture", "Design"]
}The following fields are required: retailer_id, name, description, image_url, url. All other fields are optional.
For the full list of supported fields, see the Articles and Publications node — Fields.
{
"id": "1234567890"
}You can't perform this operation on this node. To update individual article or publication items, use the Articles and Publications node.
You can't perform this operation on this node. To delete individual article or publication items, use the Articles and Publications node.